Subject: [TR] Expensive Shocks--Worth It

From: "Greg Lemon" <[email-masked]>
Date: Sat, 3 Jan 2015 23:25:28 -0600

I have the low end shocks on the front and rear of my TR250 (tube shock 
conversion on the back) I think they are KYBs, whatever is the cheap one 
from the major suppliers.  Anyone who has upgraded to Spax or Koni have an 
opinion on whether they are better?  Noticeable improvement to ride and or 
handling?  Seat of the pants or hard numbers (autocross or track times) 
appreciated

Thanks,

Greg Lemon

** [email-masked] **

Archive: http://www.team.net/archive